diff --git a/_ide_helper.php b/_ide_helper.php
index 7f7a796..4fde692 100644
--- a/_ide_helper.php
+++ b/_ide_helper.php
@@ -2364,8 +2776,9 @@ namespace {
          * @param string $key
          * @return void 
          * @static 
-         */
-        public static function offsetUnset($key){
+         */ 
+        public static function offsetUnset($key)
+        {
             \Illuminate\Cache\Repository::offsetUnset($key);
         }
         
@@ -2373,22 +2786,36 @@ namespace {
          * Register a custom macro.
          *
          * @param string $name
-         * @param callable $macro
+         * @param object|callable $macro
          * @return void 
          * @static 
-         */
-        public static function macro($name, $macro){
+         */ 
+        public static function macro($name, $macro)
+        {
             \Illuminate\Cache\Repository::macro($name, $macro);
         }
         
+        /**
+         * Mix another object into the class.
+         *
+         * @param object $mixin
+         * @return void 
+         * @static 
+         */ 
+        public static function mixin($mixin)
+        {
+            \Illuminate\Cache\Repository::mixin($mixin);
+        }
+        
         /**
          * Checks if macro is registered.
          *
          * @param string $name
          * @return bool 
          * @static 
-         */
-        public static function hasMacro($name){
+         */ 
+        public static function hasMacro($name)
+        {
             return \Illuminate\Cache\Repository::hasMacro($name);
         }
         
@@ -2400,8 +2827,9 @@ namespace {
          * @return mixed 
          * @throws \BadMethodCallException
          * @static 
-         */
-        public static function macroCall($method, $parameters){
+         */ 
+        public static function macroCall($method, $parameters)
+        {
             return \Illuminate\Cache\Repository::macroCall($method, $parameters);
         }
         
@@ -2410,8 +2838,9 @@ namespace {
          *
          * @return bool 
          * @static 
-         */
-        public static function flush(){
+         */ 
+        public static function flush()
+        {
             return \Illuminate\Cache\FileStore::flush();
         }
         
@@ -2420,8 +2849,9 @@ namespace {
          *
          * @return \Illuminate\Filesystem\Filesystem 
          * @static 
-         */
-        public static function getFilesystem(){
+         */ 
+        public static function getFilesystem()
+        {
             return \Illuminate\Cache\FileStore::getFilesystem();
         }
         
@@ -2430,8 +2860,9 @@ namespace {
          *
          * @return string 
          * @static 
-         */
-        public static function getDirectory(){
+         */ 
+        public static function getDirectory()
+        {
             return \Illuminate\Cache\FileStore::getDirectory();
         }
         
@@ -2440,15 +2871,15 @@ namespace {
          *
          * @return string 
          * @static 
-         */
-        public static function getPrefix(){
+         */ 
+        public static function getPrefix()
+        {
             return \Illuminate\Cache\FileStore::getPrefix();
         }
-        
+         
     }
 
-
-    class Config extends \Illuminate\Support\Facades\Config{
+    class Config {
         
         /**
          * Determine if the given configuration value exists.
@@ -2456,23 +2887,37 @@ namespace {
          * @param string $key
          * @return bool 
          * @static 
-         */
-        public static function has($key){
+         */ 
+        public static function has($key)
+        {
             return \Illuminate\Config\Repository::has($key);
         }
         
         /**
          * Get the specified configuration value.
          *
-         * @param string $key
+         * @param array|string $key
          * @param mixed $default
          * @return mixed 
          * @static 
-         */
-        public static function get($key, $default = null){
+         */ 
+        public static function get($key, $default = null)
+        {
             return \Illuminate\Config\Repository::get($key, $default);
         }
         
+        /**
+         * Get many configuration values.
+         *
+         * @param array $keys
+         * @return array 
+         * @static 
+         */ 
+        public static function getMany($keys)
+        {
+            return \Illuminate\Config\Repository::getMany($keys);
+        }
+        
         /**
          * Set a given configuration value.
          *
@@ -2480,8 +2925,9 @@ namespace {
          * @param mixed $value
          * @return void 
          * @static 
-         */
-        public static function set($key, $value = null){
+         */ 
+        public static function set($key, $value = null)
+        {
             \Illuminate\Config\Repository::set($key, $value);
         }
         
@@ -2492,8 +2938,9 @@ namespace {
          * @param mixed $value
          * @return void 
          * @static 
-         */
-        public static function prepend($key, $value){
+         */ 
+        public static function prepend($key, $value)
+        {
             \Illuminate\Config\Repository::prepend($key, $value);
         }
         
@@ -2504,8 +2951,9 @@ namespace {
          * @param mixed $value
          * @return void 
          * @static 
-         */
-        public static function push($key, $value){
+         */ 
+        public static function push($key, $value)
+        {
             \Illuminate\Config\Repository::push($key, $value);
         }
         
@@ -2514,8 +2962,9 @@ namespace {
          *
          * @return array 
          * @static 
-         */
-        public static function all(){
+         */ 
+        public static function all()
+        {
             return \Illuminate\Config\Repository::all();
         }
         
@@ -2525,8 +2974,9 @@ namespace {
          * @param string $key
          * @return bool 
          * @static 
-         */
-        public static function offsetExists($key){
+         */ 
+        public static function offsetExists($key)
+        {
             return \Illuminate\Config\Repository::offsetExists($key);
         }
         
@@ -2536,8 +2986,9 @@ namespace {
          * @param string $key
          * @return mixed 
          * @static 
-         */
-        public static function offsetGet($key){
+         */ 
+        public static function offsetGet($key)
+        {
             return \Illuminate\Config\Repository::offsetGet($key);
         }
         
@@ -2548,8 +2999,9 @@ namespace {
          * @param mixed $value
          * @return void 
          * @static 
-         */
-        public static function offsetSet($key, $value){
+         */ 
+        public static function offsetSet($key, $value)
+        {
             \Illuminate\Config\Repository::offsetSet($key, $value);
         }
         
@@ -2559,15 +3011,15 @@ namespace {
          * @param string $key
          * @return void 
          * @static 
-         */
-        public static function offsetUnset($key){
+         */ 
+        public static function offsetUnset($key)
+        {
             \Illuminate\Config\Repository::offsetUnset($key);
         }
-        
+         
     }
 
-
-    class Cookie extends \Illuminate\Support\Facades\Cookie{
+    class Cookie {
         
         /**
          * Create a new cookie instance.
@@ -2577,13 +3029,16 @@ namespace {
          * @param int $minutes
          * @param string $path
          * @param string $domain
-         * @param bool $secure
+         * @param bool|null $secure
          * @param bool $httpOnly
+         * @param bool $raw
+         * @param string|null $sameSite
          * @return \Symfony\Component\HttpFoundation\Cookie 
          * @static 
-         */
-        public static function make($name, $value, $minutes = 0, $path = null, $domain = null, $secure = false, $httpOnly = true){
-            return \Illuminate\Cookie\CookieJar::make($name, $value, $minutes, $path, $domain, $secure, $httpOnly);
+         */ 
+        public static function make($name, $value, $minutes = 0, $path = null, $domain = null, $secure = null, $httpOnly = true, $raw = false, $sameSite = null)
+        {
+            return \Illuminate\Cookie\CookieJar::make($name, $value, $minutes, $path, $domain, $secure, $httpOnly, $raw, $sameSite);
         }
         
         /**
@@ -2593,13 +3048,16 @@ namespace {
          * @param string $value
          * @param string $path
          * @param string $domain
-         * @param bool $secure
+         * @param bool|null $secure
          * @param bool $httpOnly
+         * @param bool $raw
+         * @param string|null $sameSite
          * @return \Symfony\Component\HttpFoundation\Cookie 
          * @static 
-         */
-        public static function forever($name, $value, $path = null, $domain = null, $secure = false, $httpOnly = true){
-            return \Illuminate\Cookie\CookieJar::forever($name, $value, $path, $domain, $secure, $httpOnly);
+         */ 
+        public static function forever($name, $value, $path = null, $domain = null, $secure = null, $httpOnly = true, $raw = false, $sameSite = null)
+        {
+            return \Illuminate\Cookie\CookieJar::forever($name, $value, $path, $domain, $secure, $httpOnly, $raw, $sameSite);
         }
         
         /**
@@ -2610,8 +3068,9 @@ namespace {
          * @param string $domain
          * @return \Symfony\Component\HttpFoundation\Cookie 
          * @static 
-         */
-        public static function forget($name, $path = null, $domain = null){
+         */ 
+        public static function forget($name, $path = null, $domain = null)
+        {
             return \Illuminate\Cookie\CookieJar::forget($name, $path, $domain);
         }
         
@@ -2621,8 +3080,9 @@ namespace {
          * @param string $key
          * @return bool 
          * @static 
-         */
-        public static function hasQueued($key){
+         */ 
+        public static function hasQueued($key)
+        {
             return \Illuminate\Cookie\CookieJar::hasQueued($key);
         }
         
@@ -2633,8 +3093,9 @@ namespace {
          * @param mixed $default
          * @return \Symfony\Component\HttpFoundation\Cookie 
          * @static 
-         */
-        public static function queued($key, $default = null){
+         */ 
+        public static function queued($key, $default = null)
+        {
             return \Illuminate\Cookie\CookieJar::queued($key, $default);
         }
         
@@ -2644,8 +3105,9 @@ namespace {
          * @param array $parameters
          * @return void 
          * @static 
-         */
-        public static function queue($parameters = null){
+         */ 
+        public static function queue($parameters = null)
+        {
             \Illuminate\Cookie\CookieJar::queue($parameters);
         }
         
@@ -2655,8 +3117,9 @@ namespace {
          * @param string $name
          * @return void 
          * @static 
-         */
-        public static function unqueue($name){
+         */ 
+        public static function unqueue($name)
+        {
             \Illuminate\Cookie\CookieJar::unqueue($name);
         }
         
@@ -2666,27 +3129,29 @@ namespace {
          * @param string $path
          * @param string $domain
          * @param bool $secure
+         * @param string $sameSite
          * @return $this 
          * @static 
-         */
-        public static function setDefaultPathAndDomain($path, $domain, $secure = false){
-            return \Illuminate\Cookie\CookieJar::setDefaultPathAndDomain($path, $domain, $secure);
+         */ 
+        public static function setDefaultPathAndDomain($path, $domain, $secure = false, $sameSite = null)
+        {
+            return \Illuminate\Cookie\CookieJar::setDefaultPathAndDomain($path, $domain, $secure, $sameSite);
         }
         
         /**
          * Get the cookies which have been queued for the next request.
          *
-         * @return array 
+         * @return \Symfony\Component\HttpFoundation\Cookie[] 
          * @static 
-         */
-        public static function getQueuedCookies(){
+         */ 
+        public static function getQueuedCookies()
+        {
             return \Illuminate\Cookie\CookieJar::getQueuedCookies();
         }
-        
+         
     }
 
-
-    class Crypt extends \Illuminate\Support\Facades\Crypt{
+    class Crypt {
         
         /**
          * Determine if the given key and cipher combination is valid.
@@ -2695,11 +3160,24 @@ namespace {
          * @param string $cipher
          * @return bool 
          * @static 
-         */
-        public static function supported($key, $cipher){
+         */ 
+        public static function supported($key, $cipher)
+        {
             return \Illuminate\Encryption\Encrypter::supported($key, $cipher);
         }
         
+        /**
+         * Create a new encryption key for the given cipher.
+         *
+         * @param string $cipher
+         * @return string 
+         * @static 
+         */ 
+        public static function generateKey($cipher)
+        {
+            return \Illuminate\Encryption\Encrypter::generateKey($cipher);
+        }
+        
         /**
          * Encrypt the given value.
          *
@@ -2708,8 +3186,9 @@ namespace {
          * @return string 
          * @throws \Illuminate\Contracts\Encryption\EncryptException
          * @static 
-         */
-        public static function encrypt($value, $serialize = true){
+         */ 
+        public static function encrypt($value, $serialize = true)
+        {
             return \Illuminate\Encryption\Encrypter::encrypt($value, $serialize);
         }
         
@@ -2719,8 +3198,9 @@ namespace {
          * @param string $value
          * @return string 
          * @static 
-         */
-        public static function encryptString($value){
+         */ 
+        public static function encryptString($value)
+        {
             return \Illuminate\Encryption\Encrypter::encryptString($value);
         }
         
@@ -2732,8 +3212,9 @@ namespace {
          * @return string 
          * @throws \Illuminate\Contracts\Encryption\DecryptException
          * @static 
-         */
-        public static function decrypt($payload, $unserialize = true){
+         */ 
+        public static function decrypt($payload, $unserialize = true)
+        {
             return \Illuminate\Encryption\Encrypter::decrypt($payload, $unserialize);
         }
         
@@ -2743,8 +3224,9 @@ namespace {
          * @param string $payload
          * @return string 
          * @static 
-         */
-        public static function decryptString($payload){
+         */ 
+        public static function decryptString($payload)
+        {
             return \Illuminate\Encryption\Encrypter::decryptString($payload);
         }
         
@@ -2753,15 +3235,15 @@ namespace {
          *
          * @return string 
          * @static 
-         */
-        public static function getKey(){
+         */ 
+        public static function getKey()
+        {
             return \Illuminate\Encryption\Encrypter::getKey();
         }
-        
+         
     }
 
-
-    class DB extends \Illuminate\Support\Facades\DB{
+    class DB {
         
         /**
          * Get a database connection instance.
@@ -2769,8 +3251,9 @@ namespace {
          * @param string $name
          * @return \Illuminate\Database\Connection 
          * @static 
-         */
-        public static function connection($name = null){
+         */ 
+        public static function connection($name = null)
+        {
             return \Illuminate\Database\DatabaseManager::connection($name);
         }
         
@@ -2780,8 +3263,9 @@ namespace {
          * @param string $name
          * @return void 
          * @static 
-         */
-        public static function purge($name = null){
+         */ 
+        public static function purge($name = null)
+        {
             \Illuminate\Database\DatabaseManager::purge($name);
         }
         
@@ -2791,8 +3275,9 @@ namespace {
          * @param string $name
          * @return void 
          * @static 
-         */
-        public static function disconnect($name = null){
+         */ 
+        public static function disconnect($name = null)
+        {
             \Illuminate\Database\DatabaseManager::disconnect($name);
         }
         
@@ -2802,8 +3287,9 @@ namespace {
          * @param string $name
          * @return \Illuminate\Database\Connection 
          * @static 
-         */
-        public static function reconnect($name = null){
+         */ 
+        public static function reconnect($name = null)
+        {
             return \Illuminate\Database\DatabaseManager::reconnect($name);
         }
         
@@ -2812,8 +3298,9 @@ namespace {
          *
          * @return string 
          * @static 
-         */
-        public static function getDefaultConnection(){
+         */ 
+        public static function getDefaultConnection()
+        {
             return \Illuminate\Database\DatabaseManager::getDefaultConnection();
         }
         
@@ -2823,8 +3310,9 @@ namespace {
          * @param string $name
          * @return void 
          * @static 
-         */
-        public static function setDefaultConnection($name){
+         */ 
+        public static function setDefaultConnection($name)
+        {
             \Illuminate\Database\DatabaseManager::setDefaultConnection($name);
         }
         
@@ -2833,8 +3321,9 @@ namespace {
          *
          * @return array 
          * @static 
-         */
-        public static function supportedDrivers(){
+         */ 
+        public static function supportedDrivers()
+        {
             return \Illuminate\Database\DatabaseManager::supportedDrivers();
         }
         
@@ -2843,8 +3332,9 @@ namespace {
          *
          * @return array 
          * @static 
-         */
-        public static function availableDrivers(){
+         */ 
+        public static function availableDrivers()
+        {
             return \Illuminate\Database\DatabaseManager::availableDrivers();
         }
         
@@ -2855,8 +3345,9 @@ namespace {
          * @param callable $resolver
          * @return void 
          * @static 
-         */
-        public static function extend($name, $resolver){
+         */ 
+        public static function extend($name, $resolver)
+        {
             \Illuminate\Database\DatabaseManager::extend($name, $resolver);
         }
         
@@ -2865,8 +3356,9 @@ namespace {
          *
          * @return array 
          * @static 
-         */
-        public static function getConnections(){
+         */ 
+        public static function getConnections()
+        {
             return \Illuminate\Database\DatabaseManager::getConnections();
         }
         
@@ -2875,8 +3367,9 @@ namespace {
          *
          * @return \Illuminate\Database\Schema\MySqlBuilder 
          * @static 
-         */
-        public static function getSchemaBuilder(){
+         */ 
+        public static function getSchemaBuilder()
+        {
             return \Illuminate\Database\MySqlConnection::getSchemaBuilder();
         }
         
@@ -2887,8 +3380,9 @@ namespace {
          * @param array $bindings
          * @return void 
          * @static 
-         */
-        public static function bindValues($statement, $bindings){
+         */ 
+        public static function bindValues($statement, $bindings)
+        {
             \Illuminate\Database\MySqlConnection::bindValues($statement, $bindings);
         }
         
@@ -2897,8 +3391,9 @@ namespace {
          *
          * @return void 
          * @static 
-         */
-        public static function useDefaultQueryGrammar(){
+         */ 
+        public static function useDefaultQueryGrammar()
+        {
             //Method inherited from \Illuminate\Database\Connection            
             \Illuminate\Database\MySqlConnection::useDefaultQueryGrammar();
         }
@@ -2908,8 +3403,9 @@ namespace {
          *
          * @return void 
          * @static 
-         */
-        public static function useDefaultSchemaGrammar(){
+         */ 
+        public static function useDefaultSchemaGrammar()
+        {
             //Method inherited from \Illuminate\Database\Connection            
             \Illuminate\Database\MySqlConnection::useDefaultSchemaGrammar();
         }
@@ -2919,8 +3415,9 @@ namespace {
          *
          * @return void 
          * @static 
-         */
-        public static function useDefaultPostProcessor(){
+         */ 
+        public static function useDefaultPostProcessor()
+        {
             //Method inherited from \Illuminate\Database\Connection            
             \Illuminate\Database\MySqlConnection::useDefaultPostProcessor();
         }
@@ -2931,8 +3428,9 @@ namespace {
          * @param string $table
          * @return \Illuminate\Database\Query\Builder 
          * @static 
-         */
-        public static function table($table){
+         */ 
+        public static function table($table)
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::table($table);
         }
@@ -2942,8 +3440,9 @@ namespace {
          *
          * @return \Illuminate\Database\Query\Builder 
          * @static 
-         */
-        public static function query(){
+         */ 
+        public static function query()
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::query();
         }
@@ -2956,8 +3455,9 @@ namespace {
          * @param bool $useReadPdo
          * @return mixed 
          * @static 
-         */
-        public static function selectOne($query, $bindings = array(), $useReadPdo = true){
+         */ 
+        public static function selectOne($query, $bindings = array(), $useReadPdo = true)
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::selectOne($query, $bindings, $useReadPdo);
         }
@@ -2969,8 +3469,9 @@ namespace {
          * @param array $bindings
          * @return array 
          * @static 
-         */
-        public static function selectFromWriteConnection($query, $bindings = array()){
+         */ 
+        public static function selectFromWriteConnection($query, $bindings = array())
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::selectFromWriteConnection($query, $bindings);
         }
@@ -2983,8 +3484,9 @@ namespace {
          * @param bool $useReadPdo
          * @return array 
          * @static 
-         */
-        public static function select($query, $bindings = array(), $useReadPdo = true){
+         */ 
+        public static function select($query, $bindings = array(), $useReadPdo = true)
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::select($query, $bindings, $useReadPdo);
         }
@@ -2997,8 +3499,9 @@ namespace {
          * @param bool $useReadPdo
          * @return \Generator 
          * @static 
-         */
-        public static function cursor($query, $bindings = array(), $useReadPdo = true){
+         */ 
+        public static function cursor($query, $bindings = array(), $useReadPdo = true)
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::cursor($query, $bindings, $useReadPdo);
         }
@@ -3010,8 +3513,9 @@ namespace {
          * @param array $bindings
          * @return bool 
          * @static 
-         */
-        public static function insert($query, $bindings = array()){
+         */ 
+        public static function insert($query, $bindings = array())
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::insert($query, $bindings);
         }
@@ -3023,8 +3527,9 @@ namespace {
          * @param array $bindings
          * @return int 
          * @static 
-         */
-        public static function update($query, $bindings = array()){
+         */ 
+        public static function update($query, $bindings = array())
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::update($query, $bindings);
         }
@@ -3036,8 +3541,9 @@ namespace {
          * @param array $bindings
          * @return int 
          * @static 
-         */
-        public static function delete($query, $bindings = array()){
+         */ 
+        public static function delete($query, $bindings = array())
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::delete($query, $bindings);
         }
@@ -3049,8 +3555,9 @@ namespace {
          * @param array $bindings
          * @return bool 
          * @static 
-         */
-        public static function statement($query, $bindings = array()){
+         */ 
+        public static function statement($query, $bindings = array())
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::statement($query, $bindings);
         }
@@ -3062,8 +3569,9 @@ namespace {
          * @param array $bindings
          * @return int 
          * @static 
-         */
-        public static function affectingStatement($query, $bindings = array()){
+         */ 
+        public static function affectingStatement($query, $bindings = array())
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::affectingStatement($query, $bindings);
         }
@@ -3074,8 +3582,9 @@ namespace {
          * @param string $query
          * @return bool 
          * @static 
-         */
-        public static function unprepared($query){
+         */ 
+        public static function unprepared($query)
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::unprepared($query);
         }
@@ -3086,8 +3595,9 @@ namespace {
          * @param \Closure $callback
          * @return array 
          * @static 
-         */
-        public static function pretend($callback){
+         */ 
+        public static function pretend($callback)
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::pretend($callback);
         }
@@ -3098,8 +3608,9 @@ namespace {
          * @param array $bindings
          * @return array 
          * @static 
-         */
-        public static function prepareBindings($bindings){
+         */ 
+        public static function prepareBindings($bindings)
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::prepareBindings($bindings);
         }
@@ -3112,8 +3623,9 @@ namespace {
          * @param float|null $time
          * @return void 
          * @static 
-         */
-        public static function logQuery($query, $bindings, $time = null){
+         */ 
+        public static function logQuery($query, $bindings, $time = null)
+        {
             //Method inherited from \Illuminate\Database\Connection            
             \Illuminate\Database\MySqlConnection::logQuery($query, $bindings, $time);
         }
@@ -3124,8 +3636,9 @@ namespace {
          * @param \Closure $callback
          * @return void 
          * @static 
-         */
-        public static function listen($callback){
+         */ 
+        public static function listen($callback)
+        {
             //Method inherited from \Illuminate\Database\Connection            
             \Illuminate\Database\MySqlConnection::listen($callback);
         }
@@ -3136,19 +3649,34 @@ namespace {
          * @param mixed $value
          * @return \Illuminate\Database\Query\Expression 
          * @static 
-         */
-        public static function raw($value){
+         */ 
+        public static function raw($value)
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::raw($value);
         }
         
         /**
-         * Is Doctrine available?
+         * Indicate if any records have been modified.
+         *
+         * @param bool $value
+         * @return void 
+         * @static 
+         */ 
+        public static function recordsHaveBeenModified($value = true)
+        {
+            //Method inherited from \Illuminate\Database\Connection            
+            \Illuminate\Database\MySqlConnection::recordsHaveBeenModified($value);
+        }
+        
+        /**
+         * Is Doctrine available?
          *
          * @return bool 
          * @static 
-         */
-        public static function isDoctrineAvailable(){
+         */ 
+        public static function isDoctrineAvailable()
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::isDoctrineAvailable();
         }
@@ -3160,8 +3688,9 @@ namespace {
          * @param string $column
          * @return \Doctrine\DBAL\Schema\Column 
          * @static 
-         */
-        public static function getDoctrineColumn($table, $column){
+         */ 
+        public static function getDoctrineColumn($table, $column)
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::getDoctrineColumn($table, $column);
         }
@@ -3171,8 +3700,9 @@ namespace {
          *
          * @return \Doctrine\DBAL\Schema\AbstractSchemaManager 
          * @static 
-         */
-        public static function getDoctrineSchemaManager(){
+         */ 
+        public static function getDoctrineSchemaManager()
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::getDoctrineSchemaManager();
         }
@@ -3182,8 +3712,9 @@ namespace {
          *
          * @return \Doctrine\DBAL\Connection 
          * @static 
-         */
-        public static function getDoctrineConnection(){
+         */ 
+        public static function getDoctrineConnection()
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::getDoctrineConnection();
         }
@@ -3193,8 +3724,9 @@ namespace {
          *
          * @return \PDO 
          * @static 
-         */
-        public static function getPdo(){
+         */ 
+        public static function getPdo()
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::getPdo();
         }
